Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote
Class AbstractProtocol

    java.lang.Object
      org.apache.coyote.AbstractProtocol

All Implemented Interfaces:
  ProtocolHandler

Direct Known Subclasses:
  AjpAprProtocol, AjpProtocol, Http11AprProtocol, Http11NioProtocol, Http11Protocol

    public abstract class AbstractProtocol

extends java.lang.Object
implements ProtocolHandler

Constructor Summary
`AbstractProtocol()`

Method Summary
`protected abstract AbstractEndpoint` | `getEndpoint()`
`int` | `getMaxHeaderCount()`
`void` | `setMaxHeaderCount(int maxHeaderCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.coyote.ProtocolHandler
`destroy, getAdapter, getAttribute, getAttributeNames, init, pause, resume, setAdapter, setAttribute, start`

Constructor Detail

### AbstractProtocol

    public AbstractProtocol()

Method Detail

### getEndpoint

    protected abstract AbstractEndpoint getEndpoint()

### getMaxHeaderCount

    public int getMaxHeaderCount()

### setMaxHeaderCount

    public void setMaxHeaderCount(int maxHeaderCount)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.43
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2014 Apache Software Foundation. All Rights Reserved.